/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Abstract MultiDimensional Image Model Component Semantics
 */
public enum EnumCV_AbstractMultiDimensionalImageModelComponentSemantics {

	//Abstract MultiDimensional Image Model Component Semantics - CID 7180
	T1_113063("113063"),
	T2_113065("113065"),
	T2_113064("113064"),
	PROTON_DENSITY_113058("113058"),
	SPIN_TAGGING_PERFUSION_MR_SIGNAL_INTENSITY_110800("110800"),
	VELOCITY_ENCODED_113070("113070"),
	TEMPERATURE_ENCODED_113067("113067"),
	CONTRAST_AGENT_ANGIO_MR_SIGNAL_INTENSITY_110801("110801"),
	TIME_OF_FLIGHT_ANGIO_MR_SIGNAL_INTENSITY_110802("110802"),
	PROTON_DENSITY_WEIGHTED_MR_SIGNAL_INTENSITY_110803("110803"),
	T1_WEIGHTED_MR_SIGNAL_INTENSITY_110804("110804"),
	T2_WEIGHTED_MR_SIGNAL_INTENSITY_110805("110805"),
	T2_STAR_WEIGHTED_MR_SIGNAL_INTENSITY_110806("110806"),
	DIFFUSION_WEIGHTED_113043("113043"),
	FIELD_MAP_MR_SIGNAL_INTENSITY_110807("110807"),
	FRACTIONAL_ANISOTROPY_110808("110808"),
	RELATIVE_ANISOTROPY_110809("110809"),
	APPARENT_DIFFUSION_COEFFICIENT_113041("113041"),
	VOLUMETRIC_DIFFUSION_DXX_COMPONENT_110810("110810"),
	VOLUMETRIC_DIFFUSION_DXY_COMPONENT_110811("110811"),
	VOLUMETRIC_DIFFUSION_DXZ_COMPONENT_110812("110812"),
	VOLUMETRIC_DIFFUSION_DYY_COMPONENT_110813("110813"),
	VOLUMETRIC_DIFFUSION_DYZ_COMPONENT_110814("110814"),
	VOLUMETRIC_DIFFUSION_DZZ_COMPONENT_110815("110815"),
	T1_WEIGHTED_DYNAMIC_CONTRAST_ENHANCED_MR_SIGNAL_INTENSITY_110816("110816"),
	T2_WEIGHTED_DYNAMIC_CONTRAST_ENHANCED_MR_SIGNAL_INTENSITY_110817("110817"),
	T2_STAR_WEIGHTED_DYNAMIC_CONTRAST_ENHANCED_MR_SIGNAL_INTENSITY_110818("110818"),
	BLOOD_OXYGENATION_LEVEL_110819("110819"),
	NUCLEAR_MEDICINE_PROJECTION_ACTIVITY_110820("110820"),
	NUCLEAR_MEDICINE_TOMOGRAPHIC_ACTIVITY_110821("110821"),
	SPATIAL_DISPLACEMENT_X_COMPONENT_110822("110822"),
	SPATIAL_DISPLACEMENT_Y_COMPONENT_110823("110823"),
	SPATIAL_DISPLACEMENT_Z_COMPONENT_110824("110824"),
	HEMODYNAMIC_RESISTANCE_110825("110825"),
	INDEXED_HEMODYNAMIC_RESISTANCE_110826("110826"),
	TISSUE_VELOCITY_110827("110827"),
	FLOW_VELOCITY_110828("110828"),
	POWER_DOPPLER_P0_02241("P0-02241"),
	FLOW_VARIANCE_110829("110829"),
	ELASTICITY_110830("110830"),
	PERFUSION_110831("110831"),
	SPEED_OF_SOUND_110832("110832"),
	ULTRASOUND_ATTENUATION_110833("110833"),
	STUDENTS_T_TEST_113068("113068"),
	Z_SCORE_113071("113071"),
	R_COEFFICIENT_113057("113057"),
	R2_COEFFICIENT_126220("126220"),
	RGB_R_COMPONENT_110834("110834"),
	RGB_G_COMPONENT_110835("110835"),
	RGB_B_COMPONENT_110836("110836"),
	YBR_FULL_Y_COMPONENT_110837("110837"),
	YBR_FULL_CB_COMPONENT_110838("110838"),
	YBR_FULL_CR_COMPONENT_110839("110839"),
	YBR_PARTIAL_Y_COMPONENT_110840("110840"),
	YBR_PARTIAL_CB_COMPONENT_110841("110841"),
	YBR_PARTIAL_CR_COMPONENT_110842("110842"),
	YBR_ICT_Y_COMPONENT_110843("110843"),
	YBR_ICT_CB_COMPONENT_110844("110844"),
	YBR_ICT_CR_COMPONENT_110845("110845"),
	YBR_RCT_Y_COMPONENT_110846("110846"),
	YBR_RCT_CB_COMPONENT_110847("110847"),
	YBR_RCT_CR_COMPONENT_110848("110848"),
	ECHOGENICITY_110849("110849"),
	X_RAY_ATTENUATION_110850("110850"),
	ATTENUATION_COEFFICIENT_112031("112031"),
	MR_SIGNAL_INTENSITY_110852("110852"),
	BINARY_SEGMENTATION_110853("110853"),
	FRACTIONAL_PROBABILISTIC_SEGMENTATION_110854("110854"),
	FRACTIONAL_OCCUPANCY_SEGMENTATION_110855("110855"),
	R1_126393("126393"),
	R2_126394("126394"),
	STANDARDIZED_UPTAKE_VALUE_126400("126400"),
	SUVBW_126401("126401"),
	SUVLBM_126402("126402"),
	SUVBSA_126403("126403"),
	SUVIBW_126404("126404");

	private String value;

	EnumCV_AbstractMultiDimensionalImageModelComponentSemantics(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
